Package ru.bitel.bgbilling.kernel.task.common.bean

# Class BGFutureTask.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.task.common.bean.BGFutureTask.Builder

Enclosing class:
  `BGFutureTask`

public static class BGFutureTask.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGFutureTask`
  `build()`
  `BGFutureTask.Builder`
  `setCreateTime(LocalDateTime createTime)`
  `BGFutureTask.Builder`
  `setCreateUserId(int createUserId)`
  `BGFutureTask.Builder`
  `setData(String data)`
  `BGFutureTask.Builder`
  `setEntityId(int entityId)`
  `BGFutureTask.Builder`
  `setEntityType(BGEntityType entityType)`
  `BGFutureTask.Builder`
  `setId(int id)`
  `BGFutureTask.Builder`
  `setModuleId(int moduleId)`
  `BGFutureTask.Builder`
  `setStartTime(LocalDateTime startTime)`
  `BGFutureTask.Builder`
  `setStatus(BGFutureTaskStatus status)`
  `BGFutureTask.Builder`
  `setType(BGFutureTaskType type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public BGFutureTask.Builder setId(int id)

  - ### setEntityType

    public BGFutureTask.Builder setEntityType(BGEntityType entityType)

  - ### setEntityId

    public BGFutureTask.Builder setEntityId(int entityId)

  - ### setCreateTime

    public BGFutureTask.Builder setCreateTime(LocalDateTime createTime)

  - ### setCreateUserId

    public BGFutureTask.Builder setCreateUserId(int createUserId)

  - ### setData

    public BGFutureTask.Builder setData(String data)

  - ### setModuleId

    public BGFutureTask.Builder setModuleId(int moduleId)

  - ### setStartTime

    public BGFutureTask.Builder setStartTime(LocalDateTime startTime)

  - ### setType

    public BGFutureTask.Builder setType(BGFutureTaskType type)

  - ### setStatus

    public BGFutureTask.Builder setStatus(BGFutureTaskStatus status)

  - ### build

    public BGFutureTask build()